/*
 * ExactSubsequenceAutomaton.cpp
 *
 *  Created on: 7. 4. 2015
 *      Author: Jan Travnicek
 */

#include "ExactSubsequenceAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

auto ExactSubsequenceAutomatonLinearString = registration::AbstractRegister < ExactSubsequenceAutomaton, automaton::DFA < DefaultSymbolType, unsigned >, const string::LinearString < > & > ( ExactSubsequenceAutomaton::construct );

} /* namespace indexing */

} /* namespace stringology */
