#ifndef GRAMMAR_EPSILON_REMOVER_TEST_H_
#define GRAMMAR_EPSILON_REMOVER_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class GrammarEpsilonRemoverTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( GrammarEpsilonRemoverTest );
  CPPUNIT_TEST( testRemoveEpsilonRules1 );
  CPPUNIT_TEST( testRemoveEpsilonRules2 );
  CPPUNIT_TEST( testRemoveEpsilonRules3 );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testRemoveEpsilonRules1();
  void testRemoveEpsilonRules2();
  void testRemoveEpsilonRules3();
};

#endif /* GRAMMAR_EPSILON_REMOVER_TEST_H_ */
