/*
 * NPDTA.cpp
 *
 *  Created on: 10. 5. 2016
 *      Author: Jakub Doupal
 */

#include "NPDTA.h"
#include <automaton/Automaton.h>
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::NPDTA < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < automaton::NPDTA < > > ( );
static auto xmlRead = registration::XmlReaderRegister < automaton::NPDTA < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < automaton::Automaton, automaton::NPDTA < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, automaton::NPDTA < > > ( );

} /* namespace */
