/*
 * BitParallelIndex.cpp
 *
 *  Created on: Jan 8, 2017
 *      Author: Jan Travnicek
 */

#include "BitParallelIndex.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < indexes::stringology::BitParallelIndex < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < indexes::stringology::BitParallelIndex < > > ( );
static auto xmlRead = registration::XmlReaderRegister < indexes::stringology::BitParallelIndex < > > ( );

static auto xmlGroup = registration::XmlRegisterTypeInGroup < object::Object, indexes::stringology::BitParallelIndex < > > ( );

} /* namespace */
