/*
 * SuffixTrie.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "SuffixTrie.h"

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < indexes::stringology::SuffixTrie < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < indexes::stringology::SuffixTrie < > > ( );
static auto xmlRead = registration::XmlReaderRegister < indexes::stringology::SuffixTrie < > > ( );

static auto xmlGroup = registration::XmlRegisterTypeInGroup < object::Object, indexes::stringology::SuffixTrie < > > ( );

} /* namespace */
