/*
 * ObjectLabel.h
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#ifndef _XML_OBJECT_LABEL_H_
#define _XML_OBJECT_LABEL_H_

#include <label/ObjectLabel.h>
#include <core/xmlApi.hpp>

namespace core {

template < >
struct xmlApi < label::ObjectLabel > {
	static label::ObjectLabel parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const label::ObjectLabel & data );
};

} /* namespace core */

#endif /* _XML_OBJECT_LABEL_H_ */
