/*
 * UniqueLabel.h
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#ifndef _XML_UNIQUE_LABEL_H_
#define _XML_UNIQUE_LABEL_H_

#include <label/UniqueLabel.h>
#include <core/xmlApi.hpp>

namespace core {

template < >
struct xmlApi < label::UniqueLabel > {
	static label::UniqueLabel parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const label::UniqueLabel & data );
};

} /* namespace core */

#endif /* _XML_UNIQUE_LABEL_H_ */
