#ifndef LABEL_TEST_H_
#define LABEL_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class LabelTest : public CppUnit::TestFixture
{
	CPPUNIT_TEST_SUITE( LabelTest );
	CPPUNIT_TEST( testCopyConstruct );
	CPPUNIT_TEST( testXMLParser );
	CPPUNIT_TEST( testOrder );
	CPPUNIT_TEST( testInSet );
	CPPUNIT_TEST( testProperties );
	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();
	void tearDown();

	void testCopyConstruct();
	void testXMLParser();
	void testOrder();
	void testInSet();
	void testProperties();
};

#endif	// LABEL_TEST_H_
