/*
 * Graph.h
 *
 *   Created on: Jun 19, 2014
 *       Author: David Rosca
 */

#ifndef GRAPH_H_
#define GRAPH_H_

#include <base/WrapperBase.hpp>
#include "GraphBase.h"

namespace graph {

 // Wrapper around graphs.
class Graph : public base::WrapperBase < GraphBase > {
	using base::WrapperBase < GraphBase >::WrapperBase;

};

} // namespace graph

namespace ext {

template < >
struct compare < graph::Graph > {
	int operator ()( const graph::Graph & first, const graph::Graph & second ) const {
		return first.getData ( ).compare ( second.getData ( ) );
	}

};

} // namespace ext

#endif // GRAPH_H_
