/*
 * typeindex.h
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#ifndef __TYPEINDEX_H_
#define __TYPEINDEX_H_

#include <typeindex>
#include <iostream>

#include "string.hpp"

namespace ext {

class type_index : public std::type_index {
public:
	using std::type_index::type_index;
	using std::type_index::operator =;
};

inline int operator -( const ext::type_index & first, const ext::type_index & second ) {
	return ( first < second ) ? -1 : ( first > second ) ? 1 : 0;
}

std::ostream & operator << ( std::ostream & os, const ext::type_index & type );

std::string to_string ( const ext::type_index & type );

} /* namespace ext */

#endif /* __TYPEINDEX_H_ */
