/*
 * UniqueSymbol.h
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#ifndef _STRING_UNIQUE_SYMBOL_H_
#define _STRING_UNIQUE_SYMBOL_H_

#include <alphabet/UniqueSymbol.h>
#include <core/stringApi.hpp>

namespace core {

template < >
struct stringApi < alphabet::UniqueSymbol > {
	static alphabet::UniqueSymbol parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const alphabet::UniqueSymbol & symbol );
};

} /* namespace core */

#endif /* _STRING_UNIQUE_SYMBOL_H_ */
