/*
 * ObjectLabel.h
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#ifndef _STRING_OBJECT_LABEL_H_
#define _STRING_OBJECT_LABEL_H_

#include <label/ObjectLabel.h>
#include <core/stringApi.hpp>

namespace core {

template < >
struct stringApi < label::ObjectLabel > {
	static label::ObjectLabel parse ( std::istream & input );
	static bool first ( std::istream & input );
	static void compose ( std::ostream & output, const label::ObjectLabel & label );
};

} /* namespace core */

#endif /* _STRING_OBJECT_LABEL_H_ */
