/*
 * UnrankedNonlinearPattern.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "UnrankedNonlinearPattern.h"
#include <tree/Tree.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < tree::Tree, tree::UnrankedNonlinearPattern < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < object::Object, tree::UnrankedNonlinearPattern < > > ( );

static auto stringReader = registration::StringReaderRegister < tree::Tree, tree::UnrankedNonlinearPattern < > > ( );

} /* namespace */
