/*
 * ObjectsTrie.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsTrie.h"
#include <container/Container.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < container::ObjectsTrie < > > ( );
static auto xmlRead = registration::XmlReaderRegister < container::ObjectsTrie < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < container::Container, container::ObjectsTrie < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, container::ObjectsTrie < > > ( );

} /* namespace */
