/*
 * FullAndLinearIndexConstruction.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "FullAndLinearIndexConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace indexing {

auto fullAndLinearIndexConstructionPrefixRankedTree = registration::AbstractRegister < FullAndLinearIndexConstruction, indexes::arbology::FullAndLinearIndex < DefaultSymbolType, DefaultRankType >, const tree::PrefixRankedTree < > & > ( FullAndLinearIndexConstruction::construct );

auto fullAndLinearIndexConstructionPrefixRankedBarTree = registration::AbstractRegister < FullAndLinearIndexConstruction, indexes::arbology::FullAndLinearIndex < DefaultSymbolType, DefaultRankType >, const tree::PrefixRankedBarTree < > & > ( FullAndLinearIndexConstruction::construct );

} /* namespace indexing */

} /* namespace arbology */
