/*
 * CompressedBitParallelIndexConstruction.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "CompressedBitParallelIndexConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

auto compressedCompressedBitParallelIndexConstructionLinearString = registration::AbstractRegister < CompressedBitParallelIndexConstruction, indexes::stringology::CompressedBitParallelIndex < DefaultSymbolType >, const string::LinearString < > & > ( CompressedBitParallelIndexConstruction::construct );

} /* namespace indexing */

} /* namespace stringology */
