/*
 * ExactNondeterministicSubsequenceAutomaton.cpp
 *
 *  Created on: 7. 4. 2015
 *      Author: Jan Travnicek
 */

#include "ExactNondeterministicSubsequenceAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

auto ExactNondeterministicSubsequenceAutomatonLinearString = registration::AbstractRegister < ExactNondeterministicSubsequenceAutomaton, automaton::EpsilonNFA < DefaultSymbolType, DefaultEpsilonType, unsigned >, const string::LinearString < > & > ( ExactNondeterministicSubsequenceAutomaton::construct );

} /* namespace indexing */

} /* namespace stringology */
