/*
 * ReversedBadCharacterShiftTable.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "ReversedBadCharacterShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace tree {

namespace properties {

auto ReversedBadCharacterShiftTablePrefixRankedBarPattern = registration::AbstractRegister < ReversedBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarPattern < > & > ( ReversedBadCharacterShiftTable::bcs );
auto ReversedBadCharacterShiftTablePrefixRankedBarNonlinearPattern = registration::AbstractRegister < ReversedBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarNonlinearPattern < > & > ( ReversedBadCharacterShiftTable::bcs );
auto ReversedBadCharacterShiftTablePrefixRankedPattern = registration::AbstractRegister < ReversedBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedPattern < > & > ( ReversedBadCharacterShiftTable::bcs );
auto ReversedBadCharacterShiftTablePrefixRankedNonlinearPattern = registration::AbstractRegister < ReversedBadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedNonlinearPattern < > & > ( ReversedBadCharacterShiftTable::bcs );

} /* namespace properties */

} /* namespace tree */
