/*
 * Array.h
 *
 *   Created on: Apr 7, 2016
 *       Author: Jan Broz
 */

//  ext::vector is quite not what i'm looking for
template< typename elem_t >
class Array {

 public:

	Array( size_t len )    { _Carray = new elem_t [ len ];  _length = len; }
	~Array()                { delete [] _Carray; }

	inline elem_t & operator[](size_t index)                { return _Carray[ index ]; }
	inline const elem_t & operator[](size_t index) const    { return _Carray[ index ]; }

	void resize(size_t len)
	{
		elem_t * newArr = new elem_t [ len ];
		for (unsigned i = 0; i < _length && i < len; i++)
			newArr[i] = std::move( _Carray[i] );
		delete [] _Carray;
		_Carray = newArr;
		_length = len;
	}

	inline size_t length() const              { return _length; }
	inline const elem_t * Carray() const    { return _Carray; }

 protected:

	elem_t * _Carray;
	size_t _length;

};
