/*
 * LabeledSymbol.h
 *
 *  Created on: Mar 26, 2013
 *      Author: Martin Zak
 */

#ifndef _XML_LABELED_SYMBOL_H_
#define _XML_LABELED_SYMBOL_H_

#include <alphabet/LabeledSymbol.h>
#include <core/xmlApi.hpp>

namespace core {

template < >
struct xmlApi < alphabet::LabeledSymbol > {
	static alphabet::LabeledSymbol parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const alphabet::LabeledSymbol & data );
};

} /* namespace core */

#endif /* _XML_LABELED_SYMBOL_H_ */
