/*
 * OneTapeDTM.cpp
 *
 *  Created on: Apr 24, 2013
 *      Author: Jan Travnicek
 */

#include "OneTapeDTM.h"

#include <automaton/Automaton.h>
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::OneTapeDTM < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < automaton::OneTapeDTM < > > ( );
static auto xmlRead = registration::XmlReaderRegister < automaton::OneTapeDTM < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < automaton::Automaton, automaton::OneTapeDTM < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, automaton::OneTapeDTM < > > ( );

} /* namespace */
