/*
 * FormalRTE.cpp
 *
 *  Created on: Feb 20, 2016
 *      Author: Tomas Pecka
 */

#include "FormalRTE.h"
#include <rte/RTE.h>
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < rte::FormalRTE < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < rte::FormalRTE < > > ( );
static auto xmlRead = registration::XmlReaderRegister < rte::FormalRTE < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < rte::RTE, rte::FormalRTE < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, rte::FormalRTE < > > ( );

} /* namespace */
