/*
 * LinearString.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "LinearString.h"

#include <string/String.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < string::LinearString < > > ( );
static auto xmlRead = registration::XmlReaderRegister < string::LinearString < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < string::String, string::LinearString < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, string::LinearString < > > ( );

} /* namespace */
