/*
 * Macros.h
 *
 *   Created on: Jun 19, 2014
 *       Author: David Rosca
 */

#ifndef GRAPH_MACROS_H_
#define GRAPH_MACROS_H_

#define GRAPH_DEFINE_STD_HASH(T) \
	namespace std { \
	template <> \
	struct hash<graph::T> \
	{ \
		std::size_t operator()(const graph::T &t) const \
		{ \
			return std::hash<std::string>()(static_cast<std::string>(t)); \
		} \
	}; \
	} \

#endif // GRAPH_MACROS_H_
