/*
 * UnboundedRegExp.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "UnboundedRegExp.h"
#include <regexp/RegExp.h>
#include <object/Object.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < regexp::RegExp, regexp::UnboundedRegExp < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < object::Object, regexp::UnboundedRegExp < > > ( );

static auto stringReader = registration::StringReaderRegister < regexp::RegExp, regexp::UnboundedRegExp < > > ( );

} /* namespace */
