/*
 * UniqueObject.h
 *
 *  Created on: Nov 11, 2016
 *      Author: Jan Travnicek
 */

#ifndef _XML_UNIQUE_OBJECT_H_
#define _XML_UNIQUE_OBJECT_H_

#include <object/UniqueObject.h>
#include <core/xmlApi.hpp>

namespace core {

template < >
struct xmlApi < object::UniqueObject > {
	static object::UniqueObject parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const object::UniqueObject & data );
};

} /* namespace core */

#endif /* _XML_UNIQUE_OBJECT_H_ */
